/*
 * Vehicle.h
 *
 *      Author: bertini
 */

#ifndef VEHICLE_H_
#define VEHICLE_H_

class Vehicle {
public:
	explicit Vehicle(int engine = 0);
	virtual ~Vehicle();

	virtual int turnOnEngine() = 0;
	static const int engineStatus;

    int getEngineDisplacement() const {
        return engineDisplacement;
    }
    void setEngineDisplacement(int engineDisplacement) {
        this->engineDisplacement = engineDisplacement;
    }

private:
	int engineDisplacement;
};

#endif /* VEHICLE_H_ */
